<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="240dp"
    android:layout_height="199dp">

    <com.facebook.drawee.view.SimpleDraweeView
        android:id="@+id/videoCoverIv"
        style="@style/frescoStyle"
        android:layout_width="240dp"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="w,9:16"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:roundedCornerRadius="8dp" />

    <ImageView
        android:id="@+id/videoCoverBorderIv"
        android:layout_width="240dp"
        android:layout_height="0dp"
        app:layout_constraintDimensionRatio="w,9:16"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@drawable/help_video_cover_border" />

    <ImageView
        android:id="@+id/playIv"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:src="@drawable/icon_preview_video_play"
        app:layout_constraintBottom_toBottomOf="@+id/videoCoverIv"
        app:layout_constraintEnd_toEndOf="@+id/videoCoverIv"
        app:layout_constraintStart_toStartOf="@+id/videoCoverIv"
        app:layout_constraintTop_toTopOf="@+id/videoCoverIv" />

    <ImageView
        android:id="@+id/labelIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginLeft="8dp"
        android:layout_marginTop="8dp"
        android:visibility="gone"
        app:layout_constraintStart_toStartOf="@+id/videoCoverIv"
        app:layout_constraintTop_toTopOf="@+id/videoCoverIv"
        tools:src="@drawable/label_hot"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/videoTitleTv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_primary"
        android:textSize="@dimen/secondary_title_text_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/videoCoverIv"
        tools:text="设置微信提醒" />

    <TextView
        android:id="@+id/videoDesTv"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="4dp"
        android:includeFontPadding="false"
        android:singleLine="true"
        android:textColor="@color/text_tertiary"
        android:textSize="@dimen/secondary_size"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/videoTitleTv"
        tools:text="设置预约游戏微信提醒，游戏上线不错过！" />

</androidx.constraintlayout.widget.ConstraintLayout>